---
# drone encrypt weko/lestoitsduval $DIRECTUS_URL
kind: secret
name: DIRECTUS_URL
data: hYUC351igGt4WLCCbtrT1R3szBAuzdEv/n1J6onJJRQUTLZ8v4Hj/wysho0smBsASoZv/hzdZrPRy0gi

---
# drone encrypt weko/lestoitsduval $DIRECTUS_TOKEN
kind: secret
name: DIRECTUS_TOKEN
data: 1aojESEVwAY0jmHQfpWt5bGbbnMtFiv6mQMEQjC368oJZeMSFPTZL9/mTQAAqSbEHyEHV1r19Hf/k/Oq

---
# drone encrypt weko/lestoitsduval $AWS_ACCESS_KEY_ID
kind: secret
name: STAGING_AWS_ACCESS_KEY_ID
data: 4jsEHoEytCQ2pikznPCWgo+cG7TEhg3W548jTPRmg+C+VplsyCRxEWY77zkZIxMN3ytPrZhs

---
# drone encrypt weko/lestoitsduval $AWS_SECRET_ACCESS_KEY
kind: secret
name: STAGING_AWS_SECRET_ACCESS_KEY
data: kIoG1rr56kvo8Uw7TpVZswp30yAF8iom/uu1dOwy9+YF1y1WiJNi4K2x1JkgOWd/u7vtrog60BBhD7gR65qhN0+C2dgs40u6xl2YJ/C6WITqacu4OP6DG38RQw4=

---
# drone encrypt weko/lestoitsduval $AWS_ACCESS_KEY_ID
kind: secret
name: PRODUCTION_AWS_ACCESS_KEY_ID
data: gkyG257s/FxB7QnSA13qzWBMJqP7foYUtRgu9yQB3ZRHDJmCm/frofIX1kkU+Nce987rDpUj

---
# drone encrypt weko/lestoitsduval $AWS_SECRET_ACCESS_KEY
kind: secret
name: PRODUCTION_AWS_SECRET_ACCESS_KEY
data: 1oL1XSfD86/BR+NA2XyhGDGUmd9+4d7Br1IFcP/63hekgtzyPsXPKZuy30ruFJisJsskl/1+gs2GJ+XNLcdFJzMpx7BwKBrLkCBS/pQy2xvXbUzJPd6HIiSyrhY=

---
kind: pipeline
type: docker
name: prod

platform:
  os: linux
  arch: arm64

steps:
- name: install submodule
  image: drone/git
  commands:
  - git submodule update --init

- name: install npm
  image: node:current-alpine
  volumes:
  - name: hugo-theme-lowtech_node_modules
    path: /drone/src/themes/hugo-theme-lowtech/node_modules
  environment:
    DIRECTUS_URL:
      from_secret: DIRECTUS_URL
    DIRECTUS_TOKEN:
      from_secret: DIRECTUS_TOKEN
  commands:
  - (cd themes/hugo-theme-lowtech && npm i)
  - node scripts/directus-to-markdown/index.js

- name: build website
  image: klakegg/hugo:0.101.0-ext-debian-ci
  commands:
    - hugo --minify --environment production

- name: typo
  image: node:current-alpine
  volumes:
  - name: hugo-theme-lowtech_node_modules
    path: /drone/src/themes/hugo-theme-lowtech/node_modules
  commands:
  - node themes/hugo-theme-lowtech/scripts/typo

- name: deploy
  image: klakegg/hugo:0.101.0-ext-debian-ci
  environment:
    AWS_ACCESS_KEY_ID:
      from_secret: PRODUCTION_AWS_ACCESS_KEY_ID
    AWS_SECRET_ACCESS_KEY:
      from_secret: PRODUCTION_AWS_SECRET_ACCESS_KEY
  commands:
    - hugo deploy --environment production

volumes:
- name: hugo-theme-lowtech_node_modules
  host:
    path: /tmp/drone/cache/weko/lestoitsduval/themes/hugo-theme-lowtech

---
kind: pipeline
type: docker
name: staging

platform:
  os: linux
  arch: arm64

steps:
- name: install submodule
  image: drone/git
  commands:
  - git submodule update --init

- name: install npm
  image: node:current-alpine
  volumes:
  - name: hugo-theme-lowtech_node_modules
    path: /drone/src/themes/hugo-theme-lowtech/node_modules
  environment:
    DIRECTUS_URL:
      from_secret: DIRECTUS_URL
    DIRECTUS_TOKEN:
      from_secret: DIRECTUS_TOKEN
  commands:
  - (cd themes/hugo-theme-lowtech && npm i)
  - DRAFT=true node scripts/directus-to-markdown/index.js

- name: build website
  image: klakegg/hugo:0.101.0-ext-debian-ci
  commands:
    - hugo --minify --buildDrafts --buildFuture --environment staging

- name: typo
  image: node:current-alpine
  volumes:
  - name: hugo-theme-lowtech_node_modules
    path: /drone/src/themes/hugo-theme-lowtech/node_modules
  commands:
  - node themes/hugo-theme-lowtech/scripts/typo

- name: deploy
  image: klakegg/hugo:0.101.0-ext-debian-ci
  environment:
    AWS_ACCESS_KEY_ID:
      from_secret: STAGING_AWS_ACCESS_KEY_ID
    AWS_SECRET_ACCESS_KEY:
      from_secret: STAGING_AWS_SECRET_ACCESS_KEY
  commands:
    - hugo deploy --environment staging

volumes:
- name: hugo-theme-lowtech_node_modules
  host:
    path: /tmp/drone/cache/weko/lestoitsduval/themes/hugo-theme-lowtech
